<?php

namespace Provider;

use DB;
use Illuminate\Database\Seeder;

class PackageTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('module_names')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'package.module_name.view',
                'name'      => 'View ModuleName',
            ],
            [
                'slug'      => 'package.module_name.create',
                'name'      => 'Create ModuleName',
            ],
            [
                'slug'      => 'package.module_name.edit',
                'name'      => 'Update ModuleName',
            ],
            [
                'slug'      => 'package.module_name.delete',
                'name'      => 'Delete ModuleName',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'package.module_name.verify',
                'name'      => 'Verify ModuleName',
            ],
            [
                'slug'      => 'package.module_name.approve',
                'name'      => 'Approve ModuleName',
            ],
            [
                'slug'      => 'package.module_name.publish',
                'name'      => 'Publish ModuleName',
            ],
            [
                'slug'      => 'package.module_name.unpublish',
                'name'      => 'Unpublish ModuleName',
            ],
            [
                'slug'      => 'package.module_name.cancel',
                'name'      => 'Cancel ModuleName',
            ],
            [
                'slug'      => 'package.module_name.archive',
                'name'      => 'Archive ModuleName',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/package/module_name',
                'name'        => 'ModuleName',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/package/module_name',
                'name'        => 'ModuleName',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'module_name',
                'name'        => 'ModuleName',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Package',
                'module'    => 'ModuleName',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'package.module_name.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
