<?php

namespace Provider\Package;

use User;

class Package
{
    /**
     * $module_name object.
     */
    protected $module_name;

    /**
     * Constructor.
     */
    public function __construct(\Provider\Package\Interfaces\ModuleNameRepositoryInterface $module_name)
    {
        $this->module_name = $module_name;
    }

    /**
     * Returns count of package.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.module_name.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->module_name->pushCriteria(new \Litepie\Provider\Repositories\Criteria\ModuleNameUserCriteria());
        }

        $module_name = $this->module_name->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('package::' . $view, compact('module_name'))->render();
    }
}
