<?php

namespace Provider\Package\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ModuleNameTransformer extends TransformerAbstract
{
    public function transform(\Provider\Package\Models\ModuleName $module_name)
    {
        return [
            'id'                => $module_name->getRouteKey(),
            'key'               => [
                'public'    => $module_name->getPublicKey(),
                'route'     => $module_name->getRouteKey(),
            ], 
            'id'                => $module_name->id,
            'Name'              => $module_name->Name,
            'url'               => [
                'public'    => trans_url('package/'.$module_name->getPublicKey()),
                'user'      => guard_url('package/module_name/'.$module_name->getRouteKey()),
            ], 
            'status'            => trans('app.'.$module_name->status),
            'created_at'        => format_date($module_name->created_at),
            'updated_at'        => format_date($module_name->updated_at),
        ];
    }
}