<?php

namespace Provider\Package\Workflow;

use Provider\Package\Models\ModuleName;
use Provider\Package\Notifications\ModuleNameWorkflow as ModuleNameNotifyer;
use Notification;

class ModuleNameNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ModuleName $module_name
     *
     * @return void
     */
    public function complete(ModuleName $module_name)
    {
        return Notification::send($module_name->user, new ModuleNameNotifyer($module_name, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ModuleName $module_name
     *
     * @return void
     */
    public function verify(ModuleName $module_name)
    {
        return Notification::send($module_name->user, new ModuleNameNotifyer($module_name, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ModuleName $module_name
     *
     * @return void
     */
    public function approve(ModuleName $module_name)
    {
        return Notification::send($module_name->user, new ModuleNameNotifyer($module_name, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ModuleName $module_name
     *
     * @return void
     */
    public function publish(ModuleName $module_name)
    {
        return Notification::send($module_name->user, new ModuleNameNotifyer($module_name, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ModuleName $module_name
     *
     * @return void
     */
    public function archive(ModuleName $module_name)
    {
        return Notification::send($module_name->user, new ModuleNameNotifyer($module_name, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ModuleName $module_name
     *
     * @return void
     */
    public function unpublish(ModuleName $module_name)
    {
        return Notification::send($module_name->user, new ModuleNameNotifyer($module_name, 'unpublish'));;

    }
}
